<?php
 
 
 

namespace PhpWA\Protocol\Proto\PaymentBackground;

use UnexpectedValueException;




class Type
{
    


    const UNKNOWN = 0;
    


    const PBDEFAULT = 1;

    private static $valueToName = [
        self::UNKNOWN => 'UNKNOWN',
        self::PBDEFAULT => 'DEFAULT',
    ];

    public static function name($value)
    {
        if (!isset(self::$valueToName[$value])) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no name defined for value %s', __CLASS__, $value));
        }
        return self::$valueToName[$value];
    }


    public static function value($name)
    {
        $const = __CLASS__ . '::' . strtoupper($name);
        if (!defined($const)) {
            $pbconst =  __CLASS__. '::PB' . strtoupper($name);
            if (!defined($pbconst)) {
                throw new UnexpectedValueException(sprintf(
                        'Enum %s has no value defined for name %s', __CLASS__, $name));
            }
            return constant($pbconst);
        }
        return constant($const);
    }
}

